Page MenuHomePhabricator

Flow: OAuth support
Closed, ResolvedPublic

Description

OAuth (https://www.mediawiki.org/wiki/Extension:OAuth) presents a lot of possibilities for Flow:

  • Alternate interfaces
  • Mash-ups
  • Bots

all without having to give your password to any third parties.

It looks like posting to a board might (not tested) just work if you have the 'edit' right (which can already be passed via OAuth). But to have full support for Flow's features (hiding, deleting, etc.), I think we have to integrate the other rights into wgMWOAuthGrantPermissions.


Version: unspecified
Severity: normal

Details

Reference
bz72998

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:48 AM
bzimport set Reference to bz72998.
bzimport added a subscriber: Unknown Object (MLST).
Quiddity removed a subscriber: Maryana.Dec 19 2014, 1:41 AM
EBernhardson triaged this task as Low priority.Feb 19 2015, 6:49 PM

This is something we want to do, but it will probably be on the back burner for a bit until bot's or app developers let us know they are using (or want to use) our API

I'm going to list this as my demo-able project for the hackathons.

Tgr added a subscriber: Tgr.May 22 2015, 10:10 AM

Change 213310 had a related patch set uploaded (by Mattflaschen):
Add OAuth support to Flow

https://gerrit.wikimedia.org/r/213310

Change 213310 merged by jenkins-bot:
Add OAuth support to Flow

https://gerrit.wikimedia.org/r/213310

DannyH closed this task as Resolved.Jun 1 2015, 5:16 PM
DannyH moved this task from QA Review to Done on the Collaboration-Team-Sprint-B-2015-05-20 board.